## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%if 0%{?fedora}
# rhel/epel has no flexmock, pytest-capturelog
%global with_check 0
%endif

%global commit 7980ce59a95e2e2fac64f0d3aeec8cdcef297f4c
%global shortcommit %(c=%{commit}; echo ${c:0:7})

# set to 0 to create a normal release
%global dev_release 0

%if 0%{?dev_release}
%global postrelease dev
%global release 10
%else
%global postrelease 0
%global release 3
%endif

%global osbs_obsolete_vr 0.14-2

Name:           osbs-client
Version:        1.15.0
Release:        %autorelease

Summary:        Python command line client for OpenShift Build Service
License:        BSD
URL:            https://github.com/projectatomic/osbs-client
Source0:        https://github.com/projectatomic/osbs-client/archive/%{commit}/osbs-client-%{commit}.tar.gz

BuildArch:      noarch

Requires:       python3-osbs-client = %{version}-%{release}
Requires:       python3-requests
Requires:       python3-requests-kerberos

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if 0%{?with_check}
BuildRequires:  git-core
BuildRequires:  python3-dateutil
BuildRequires:  python3-pytest
BuildRequires:  python3-flexmock
BuildRequires:  python3-six
BuildRequires:  python3-dockerfile-parse
BuildRequires:  python3-jsonschema
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-requests
BuildRequires:  python3-requests-kerberos
BuildRequires:  python3-PyYAML
%endif # with_check


Provides:       osbs = %{version}-%{release}
Obsoletes:      osbs < %{osbs_obsolete_vr}

%description
It is able to query OpenShift v3 for various stuff related to building images.
It can initiate builds, list builds, get info about builds, get build logs...
This package contains osbs command line client.

%package -n python3-osbs-client
Summary:        Python 3 module for OpenShift Build Service
License:        BSD
Requires:       python3-dockerfile-parse
Requires:       python3-jsonschema
Requires:       python3-requests
Requires:       python3-requests-kerberos
Requires:       python3-dateutil
Requires:       python3-setuptools
Requires:       python3-six
Requires:       krb5-workstation
Requires:       python3-PyYAML
Requires:       git-core

Provides:       python3-osbs = %{version}-%{release}
Obsoletes:      python3-osbs < %{osbs_obsolete_vr}
%{?python_provide:%python_provide python3-osbs-client}

%description -n python3-osbs-client
It is able to query OpenShift v3 for various stuff related to building images.
It can initiate builds, list builds, get info about builds, get build logs...
This package contains osbs Python 3 bindings.


%prep
%autosetup -n %{name}-%{commit}

# Remove this test, it tries to hit httpbin.org which fails the build in koji
rm -f tests/test_http.py

%build
%py3_build


%install
%py3_install


%if 0%{?with_check}
%check
py.test-3 -vv tests
%endif # with_check


%files
%doc README.md
%{_bindir}/osbs


%files -n python3-osbs-client
%doc README.md
%{!?_licensedir:%global license %doc}
%license LICENSE
%{_bindir}/osbs
%{python3_sitelib}/osbs*
%dir %{_datadir}/osbs
%{_datadir}/osbs/*.json


%changelog
* Sun Nov 13 2022 David Kirwan <dkirwan@redhat.com> 1.15.0-6
- Updated to used rpmautospec autochangelog and autorelease

* Tue Aug 02 2022 Miro Hrončok <miro@hroncok.cz> 1.15.0-5
- Adjust the release number to make it work

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 1.15.0-3
- Rebuilt for Python 3.11

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 19 2022 Clement Verna <cverna@tutanota.com> 1.15.0-1
- Update to 1.15.0

* Wed Aug 25 2021 Clement Verna <cverna@tutanota.com> 1.11.0-1
- Update to latest upstream

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 1.7.0-4
- Rebuilt for Python 3.10

* Fri Jun 04 2021 Miro Hrončok <miro@hroncok.cz> 1.7.0-3
- Manually bump the release, the previous automated bump was wrong

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 1.7.0-2
- Rebuilt for Python 3.10

* Thu Mar 04 2021 Clement Verna <cverna@tutanota.com> 1.7.0-1
- Update to latest upstream version 1.7.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.62-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.62-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> 0.62-3
- Rebuilt for Python 3.9

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.62-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Dec 19 2019 Clement Verna <cverna@tutanota.com> 0.62-1
- New upstream release 0.62

* Tue Dec 10 2019 Pierre-Yves Chibon <pingou@pingoured.fr> 0.59.2-4
- Bump release

* Wed Nov 13 2019 Pierre-Yves Chibon <pingou@pingoured.fr> 0.59.2-3
- Bump release

* Wed Nov 13 2019 Pierre-Yves Chibon <pingou@pingoured.fr> 0.59.2-2
- Bump release

* Thu Oct 17 2019 Clement Verna <cverna@tutanota.com> 0.59.2-1
- Update to release 0.59.2

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> 0.54-6
- Fix the release number, rpmdev-bumpspec didn't work

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> 0.54-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> 0.54-4
- Rebuilt for Python 3.8

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.54-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Mar 20 2019 Athos Ribeiro <athoscr@fedoraproject.org> 0.54-1
- Update version to 0.54

* Wed Mar 20 2019 Athos Ribeiro <athoscr@fedoraproject.org> 0.53-1
- Update version to 0.53

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.52-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.52-2
- Remove obsolete Group tag

* Mon Dec 03 2018 Clement Verna <cverna@tutanota.com> 0.52-1
- Lastest upstream version 0.52

* Mon Oct 22 2018 Miro Hrončok <miro@hroncok.cz> 0.49-2
- Drop Python 2 subpackage and Python versioned executables (#1640583)

* Mon Jul 30 2018 Clement Verna <cverna@tutanota.com> 0.49-1
- Upstream Release 0.49

* Mon Jul 23 2018 Clement Verna <cverna@tutanota.com> 0.48-2
- Add missing PyYAML dependency

* Wed Jul 18 2018 Clement Verna <cverna@tutanota.com> 0.48-1
- Release 0.48

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.47-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> 0.47-5
- Rebuilt for Python 3.7 (manual bump)

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> 0.47-4
- Rebuilt for Python 3.7

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> 0.47-3
- Rebuilt for Python 3.7

* Tue May 15 2018 Clement Verna <cverna@tutanota.com> 0.47-1
- Update to upstream 0.47

* Thu Mar 01 2018 Iryna Shcherbina <shcherbina.iryna@gmail.com> 0.45-4
- Update Python 2 dependency declarations to new packaging standards

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.45-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Clement Verna <cverna@tutanota.com> 0.45-1
- update to latest upstream - 0.45

* Thu Aug 24 2017 Adam Miller <maxamillion@fedoraproject.org> 0.41-1
- update to latest upstream - 0.41

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.39.1-4
- Python 2 binary package renamed to python2-osbs-client

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.39.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 09 2017 Adam Miller <maxamillion@fedoraproject.org> 0.39.1-2
- remove test case that attempts to contact network resource

* Fri Jun 09 2017 Adam Miller <maxamillion@fedoraproject.org> 0.39.1-1
- update to latest upstream - 1.39.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.33-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> 0.33-4
- Rebuild for Python 3.6

* Thu Dec 15 2016 Adam Miller <maxamillion@fedoraproject.org> 0.33-3
- need to increase the Release

* Thu Dec 15 2016 Adam Miller <maxamillion@fedoraproject.org> 0.33-2
- update site specific patch, add cancel-build state patch

* Tue Dec 06 2016 Adam Miller <maxamillion@fedoraproject.org> 0.33-1
- update to latest upstream, patch for koji krb5 and site customizations

* Fri Oct 14 2016 Adam Miller <maxamillion@fedoraproject.org> 0.32-2
- fix BuildRequires for new tests in latest upstream 0.32

* Fri Oct 14 2016 Adam Miller <maxamillion@fedoraproject.org> 0.32-1
- update to latest upstream: 0.32

* Thu Sep 22 2016 Adam Miller <maxamillion@fedoraproject.org> 0.31-4
- one more patch update to handle unicode

* Thu Sep 22 2016 Adam Miller <maxamillion@fedoraproject.org> 0.31-3
- Update python-requests patch to handle python3 bytestrings properly

* Thu Sep 22 2016 Adam Miller <maxamillion@fedoraproject.org> 0.31-2
- Fix python3 requires

* Thu Sep 22 2016 Adam Miller <maxamillion@fedoraproject.org> 0.31-1
- update to latest upstream release: 0.31

* Thu Sep 22 2016 Adam Miller <maxamillion@fedoraproject.org> 0.30-4
- Handle new Requires/BuildRequires for epel/f23 and older as well as f24+

* Thu Sep 22 2016 Adam Miller <maxamillion@fedoraproject.org> 0.30-3
- remove test case that's no longer needed due to patch

* Thu Sep 22 2016 Adam Miller <maxamillion@fedoraproject.org> 0.30-2
- Apply patch from puiterwijk to switch to python-requests from pycurl

* Tue Sep 20 2016 Adam Miller <maxamillion@fedoraproject.org> 0.30-1
- update to latest release: 0.30

* Wed Sep 07 2016 Adam Miller <maxamillion@fedoraproject.org> 0.29-1
- new upstream release: 0.29

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> 0.24-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Mon May 23 2016 Martin Milata <mmilata@redhat.com> 0.24-1
- 0.24 release

* Wed May 11 2016 Martin Milata <mmilata@redhat.com> 0.23-1
- 0.23

* Mon Apr 25 2016 Martin Milata <mmilata@redhat.com> 0.22-1
- 0.22 release

* Mon Apr 11 2016 Martin Milata <mmilata@redhat.com> 0.20-1
- 0.20 release

* Thu Apr 07 2016 Martin Milata <mmilata@redhat.com> 0.19-1
- 0.19 release

* Thu Mar 10 2016 Martin Milata <mmilata@redhat.com> 0.18-1
- 0.18 release

* Fri Feb 12 2016 Martin Milata <mmilata@redhat.com> 0.17-1
- 0.17 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 21 2016 Martin Milata <mmilata@redhat.com> 0.16-1
- 0.16 release

* Wed Nov 18 2015 Jiri Popelka <jpopelka@redhat.com> 0.15-4
- port tests to Python 3.5

* Fri Nov 13 2015 Jiri Popelka <jpopelka@redhat.com> 0.15-3
- rebuilt for Python3.5

* Tue Nov 10 2015 Jiri Popelka <jpopelka@redhat.com> 0.15-2
- %%check section & Python3 build

* Fri Oct 23 2015 Jiri Popelka <jpopelka@redhat.com> 0.15-1
- initial import
